# -*- coding: utf-8 -*-
"""Untitled2.ipynb

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/1-wORGYMQNSNqidXkJvtegw7aUcE-Wu_2
"""

import  pandas as pd

golf_df = pd.DataFrame()

#add outlook
golf_df['Outlook'] = ['rainy', 'rainy', 'overcast', 'sunny', 'sunny', 'sunny', 
                     'overcast', 'rainy', 'rainy', 'sunny', 'rainy', 'overcast',
                     'overcast', 'sunny']
golf_df['Temperature'] = ['hot', 'hot', 'hot', 'mild', 'cool', 'cool', 'cool',
                         'mild', 'cool', 'mild', 'mild', 'mild', 'hot', 'mild']
golf_df['Humidity'] = ['high', 'high', 'high', 'high', 'normal', 'normal', 'normal',
                      'high', 'normal', 'normal', 'normal', 'high', 'normal', 'high']
golf_df['Windy'] = ['false', 'true', 'false', 'false', 'false', 'true', 'true',
                   'false', 'false', 'false', 'true', 'true', 'false', 'true']
golf_df['Play'] = ['no', 'no', 'yes', 'yes', 'yes', 'no', 'yes', 'no', 'yes', 'yes', 'yes', 
                  'yes', 'yes', 'no']

print (golf_df)

import math
a=5
b=9
#E(a,b)

entropy = -((a/(a+b))*math.log2(a/(a+b)))-((b/(a+b))*math.log2(b/(a+b)))
print(entropy)

from sklearn import tree #For our Decision Tree
import pandas as pd # For our DataFrame
import pydotplus # To create our Decision Tree Graph
from IPython.display import Image  # To Display a image of our graph

one_hot_data = pd.get_dummies(golf_df[ ['Outlook', 'Temperature', 'Humidity', 'Windy'] ])
#print the new dummy data
one_hot_data

model = tree.DecisionTreeClassifier()
# Training the Decision Tree
model_train = model.fit(one_hot_data, golf_df['Play'])

dot_data = tree.export_graphviz(model_train, out_file=None, feature_names=list(one_hot_data.columns.values), 
                                class_names=['Not_Play', 'Play'], rounded=True, filled=True)

graph = pydotplus.graph_from_dot_data(dot_data)

Image(graph.create_png())

prediction = model_train.predict([[0,0,1,0,1,0,0,1,1,0]])
prediction
